
Installer - Support #7983

foreman-installer reports a few errors during installation.

10/19/2014 12:52 AM - Anonymous

Status: Resolved   

Priority: Normal   

Assignee:    

Category: foreman-installer script   

Target version:    

Triaged:  Found in Releases: 1.6.0

Fixed in Releases:    

Description

 Could not set 'present' on ensure: 422 Unprocessable Entity at 12:/usr/share/foreman-installer/mo

dules/foreman_proxy/manifests/register.pp

 Could not set 'present' on ensure: 422 Unprocessable Entity at 12:/usr/share/foreman-installer/mo

dules/foreman_proxy/manifests/register.pp

 /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[elisa.home]/ensure: change from absent to

 present failed: Could not set 'present' on ensure: 422 Unprocessable Entity at 12:/usr/share/fore

man-installer/modules/foreman_proxy/manifests/register.pp

 What does the error mean? It doesn't even compute for me.

History

#1 - 10/20/2014 04:00 AM - Dominic Cleal

- Tracker changed from Bug to Support

It means the smart proxy could not be registered in Foreman.

To find the exact reason, tail /var/log/foreman/production.log or try adding the smart proxy yourself in the UI under Infrastructure > Smart proxies, then

register the URL https://elisa.home:8443

A common issue we're seeing in 1.6.2 (though you say 1.6.0) is when /etc/hosts is set up to resolve the hostname to 127.0.1.1 then it can prevent

access.

#2 - 11/24/2014 07:32 AM - Samuli Seppänen

I encountered this one too on Ubuntu 14.04 and foreman-installer 1.6.3-1. In my case commenting out

:trusted_hosts:

- puppet.domain.com

in /etc/foreman-proxy/settings.yml did the trick. Basically foreman-proxy did not trust Foreman and caused the installer to partially fail.

I suspect the problem had to do with DNS lookups returning the wrong IP, because I had pointed puppet.domain.com to a new address only an hour

or so before running foreman-installer.

#3 - 04/22/2016 04:54 AM - Dominic Cleal

- Status changed from New to Resolved

Closing support ticket, no further activity.
